Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675670 - sci-mathematics/genius-1.0.21 - configure: error: Termcap library not found
Summary: sci-mathematics/genius-1.0.21 - configure: error: Termcap library not found
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2019-01-17 03:47 UTC by Kristoffer Bernssen
Modified: 2019-07-18 15:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (config_genius-1.0.24.log,110.05 KB, text/x-log)
2019-01-17 12:44 UTC, Kristoffer Bernssen
Details
emerge --info (file_675670.txt,5.94 KB, text/plain)
2019-01-17 23:45 UTC, Kristoffer Bernssen
Details
build.log (file_675670.txt,12.62 KB, text/plain)
2019-01-17 23:47 UTC, Kristoffer Bernssen
Details
genius-1.0.24-tinfo.patch (genius-1.0.24-tinfo.patch,751 bytes, patch)
2019-04-05 16:55 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kristoffer Bernssen 2019-01-17 03:47:50 UTC
checking for tgetent in -ltermcap... no
checking for tgetent in -lncurses... no
configure: error: Termcap library not found


sys-libs/ncurses-5.9-r101::gentoo was built with the following:
USE="tinfo unicode -gpm" ABI_X86="32 (64) (-x32)"


sys-libs/ncurses-6.1-r3::gentoo was built with the following:
USE="cxx debug profile static-libs tinfo unicode -ada -doc -gpm -minimal -test -threads -trace" ABI_X86="32 (64) (-x32)"


sys-libs/libtermcap-compat-2.0.8-r4::gentoo was built with the following:
USE="" ABI_X86="32 (64) (-x32)"


tried various versions of the libs sys-libs/ncurses and sys-libs/libtermcap-compat, but none seemed to fix the problem. i think sys-libs/ncurses shoud have what's being asked for in the flag tinfo
Comment 1 Jeroen Roovers gentoo-dev 2019-01-17 07:06:32 UTC
Please attach the entire build log to this bug report.
Please attach the entire config.log to this bug report.
Please post your `emerge --info` output in a comment.
Comment 2 Jeroen Roovers gentoo-dev 2019-01-17 07:08:48 UTC
configure:13556: result: no
configure:13561: checking for tgetent in -lncurses
configure:13586: x86_64-pc-linux-gnu-gcc -o conftest -frecord-gcc-switches -g -pipe -O2 -Wall -march=amdfam10 -mtune=amdfam10 -Wno-comment  -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed conftest.c -lncurses   >&5
/home/jer/portage/sci-mathematics/genius-1.0.21/temp/cc5v3tZE.o: In function `main':
/home/jer/portage/sci-mathematics/genius-1.0.21/work/genius-1.0.21/conftest.c:42: undefined reference to `tgetent'
collect2: error: ld returned 1 exit status
Comment 3 Kristoffer Bernssen 2019-01-17 12:44:15 UTC
Created attachment 561698 [details]
config.log
Comment 4 Kristoffer Bernssen 2019-01-17 23:45:16 UTC
Created attachment 561892 [details]
emerge --info
Comment 5 Kristoffer Bernssen 2019-01-17 23:47:20 UTC
Created attachment 561894 [details]
build.log
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2019-04-05 16:55:51 UTC
Created attachment 571986 [details, diff]
genius-1.0.24-tinfo.patch

Possible fix...
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-06-20 08:13:40 UTC
Ping.
Comment 8 Larry the Git Cow gentoo-dev 2019-07-18 15:14:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=330cbf90eb64a7eb05e51a4200900ac5c55364d1

commit 330cbf90eb64a7eb05e51a4200900ac5c55364d1
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-07-18 15:13:56 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-07-18 15:14:10 +0000

    sci-mathematics/genius: Fixed build with sys-libs/ncurses[tinfo]
    
    Closes: https://bugs.gentoo.org/675670
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 .../genius/files/genius-1.0.23-tinfo.patch         | 24 ++++++++++++++++++
 .../files/genius-1.0.24-no_scrollkeeper.patch      | 29 ++++++++++++++++++++++
 sci-mathematics/genius/genius-1.0.23.ebuild        | 17 ++++++++++---
 3 files changed, 67 insertions(+), 3 deletions(-)